Loading...
Searching...
No Matches
pdftron::PDF::PrintToPdfOptions Class Reference

`#include <PrintToPdfOptions.h>`

Inheritance diagram for pdftron::PDF::PrintToPdfOptions:

## Public Member Functions
| PrintToPdfOptions ()
| ~PrintToPdfOptions ()
double | GetHorizontalPageMargin ()
PrintToPdfOptions & | SetHorizontalPageMargin (double value)
double | GetPageHeight ()
PrintToPdfOptions & | SetPageHeight (double value)
UString | GetPageOrientation ()
PrintToPdfOptions & | SetPageOrientation (const UString &value)
double | GetPageWidth ()
PrintToPdfOptions & | SetPageWidth (double value)
double | GetVerticalPageMargin ()
PrintToPdfOptions & | SetVerticalPageMargin (double value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file PrintToPdfOptions.h.

## Constructor & Destructor Documentation

## ◆ PrintToPdfOptions()

pdftron::PDF::PrintToPdfOptions::PrintToPdfOptions | ( |  | ) |

## ◆ ~PrintToPdfOptions()

pdftron::PDF::PrintToPdfOptions::~PrintToPdfOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetHorizontalPageMargin()

double pdftron::PDF::PrintToPdfOptions::GetHorizontalPageMargin | ( |  | ) |

Gets the value HorizontalPageMargin from the options object The horizontal margins (left and right) in points. The default is a 1/4 of an inch or 18 points.

Returns
  a double, the current value for HorizontalPageMargin.

## ◆ GetPageHeight()

double pdftron::PDF::PrintToPdfOptions::GetPageHeight | ( |  | ) |

Gets the value PageHeight from the options object The page height to use in points. If not set (or set to 0), uses letter paper size.

Returns
  a double, the current value for PageHeight.

## ◆ GetPageOrientation()

UString pdftron::PDF::PrintToPdfOptions::GetPageOrientation | ( |  | ) |

Gets the value PageOrientation from the options object Page orientation, "portrait" or "landscape".

Returns
  a UString, the current value for PageOrientation.

## ◆ GetPageWidth()

double pdftron::PDF::PrintToPdfOptions::GetPageWidth | ( |  | ) |

Gets the value PageWidth from the options object The page width to use in points. If not set (or set to 0), uses letter paper size.

Returns
  a double, the current value for PageWidth.

## ◆ GetVerticalPageMargin()

double pdftron::PDF::PrintToPdfOptions::GetVerticalPageMargin | ( |  | ) |

Gets the value VerticalPageMargin from the options object The vertical margins (top and bottom) in points. The default is a 1/4 of an inch or 18 points.

Returns
  a double, the current value for VerticalPageMargin.

## ◆ SetHorizontalPageMargin()

PrintToPdfOptions & pdftron::PDF::PrintToPdfOptions::SetHorizontalPageMargin | ( | double | value | ) |

Sets the value for HorizontalPageMargin in the options object The horizontal margins (left and right) in points. The default is a 1/4 of an inch or 18 points.

Parameters

  value | the new value for HorizontalPageMargin

Returns
  this object, for call chaining

## ◆ SetPageHeight()

PrintToPdfOptions & pdftron::PDF::PrintToPdfOptions::SetPageHeight | ( | double | value | ) |

Sets the value for PageHeight in the options object The page height to use in points. If not set (or set to 0), uses letter paper size.

Parameters

  value | the new value for PageHeight

Returns
  this object, for call chaining

## ◆ SetPageOrientation()

PrintToPdfOptions & pdftron::PDF::PrintToPdfOptions::SetPageOrientation | ( | const UString & | value | ) |

Sets the value for PageOrientation in the options object Page orientation, "portrait" or "landscape".

Parameters

  value | the new value for PageOrientation

Returns
  this object, for call chaining

## ◆ SetPageWidth()

PrintToPdfOptions & pdftron::PDF::PrintToPdfOptions::SetPageWidth | ( | double | value | ) |

Sets the value for PageWidth in the options object The page width to use in points. If not set (or set to 0), uses letter paper size.

Parameters

  value | the new value for PageWidth

Returns
  this object, for call chaining

## ◆ SetVerticalPageMargin()

PrintToPdfOptions & pdftron::PDF::PrintToPdfOptions::SetVerticalPageMargin | ( | double | value | ) |

Sets the value for VerticalPageMargin in the options object The vertical margins (top and bottom) in points. The default is a 1/4 of an inch or 18 points.

Parameters

  value | the new value for VerticalPageMargin

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/PrintToPdfOptions.h